{ config, ... }:

{
  age.secrets = {
    # authelia
    authelia-jwt.file = ./authelia/jwt.age;
    authelia-storage.file = ./authelia/storage.age;
    authelia-session.file = ./authelia/session.age;
    authelia-oidc-issuer-privatekey-pem.file = ./authelia/oidc-issuer-privatekey-pem.age;
    authelia-oidc-issuer-privatekey-crt.file = ./authelia/oidc-issuer-privatekey-crt.age;
    authelia-smtp-password.file = ./authelia/smtp-password.age;

    # lldap
    lldap-admin-user-pass.file = ./lldap/admin-user-pass.age;
    lldap-bind-user-pass = {
      file = ./lldap/bind-user-pass.age;
      group = "secrets-lldap-bind-user-pass";
      mode = "0440";
    };
    lldap-user-emails-env.file = ./lldap/user-emails-env.age;
    lldap-bind-user-pass-hedgedoc-env.file = ./lldap/bind-user-pass-hedgedoc-env.age;

    # mumble
    murmur-env.file = ./murmur/env.age;
    murmur-superpassword.file = ./murmur/superpassword.age;

    # forgejo
    forgejo-authelia-secret.file = ./forgejo/authelia-secret.age;

    # teeworlds
    teeworlds-env.file = ./teeworlds/env.age;

    # nextcloud
    nextcloud-admin-pass.file = ./nextcloud/admin-pass.age;
    nextcloud-secrets.file = ./nextcloud/secrets.age;
    nextcloud-smtp-pass.file = ./nextcloud/smtp-pass.age;
    nextcloud-serverinfo-token.file = ./nextcloud/serverinfo-token.age;

    # stalwart
    stalwart-admin-fallback-password.file = ./stalwart/admin-fallback-password.age;

    # matrix-synapse
    matrix-synapse-config-authelia-secret.file = ./matrix-synapse/config-authelia-secret.age;

    # wger
    wger-env.file = ./wger/env.age;
    wger-ldap-pass.file = ./wger/ldap-pass.age;

    # restic
    restic-env.file = ./restic/env.age;
    restic-pass.file = ./restic/pass.age;

    # searx
    searx-env.file = ./searx/env.age;

    # uptime-kuma
    uptime-kuma-ldap-pass.file = ./uptime-kuma/ldap-pass.age;

    # rallly
    rallly-ldap-pass.file = ./rallly/ldap-pass.age;
    rallly-env.file = ./rallly/env.age;

    # notify
    notify-ldap-pass.file = ./notify/ldap-pass.age;
    notify-env.file = ./notify/env.age;

    # grafana
    grafana-authelia-secret.file = ./grafana/authelia-secret.age;

    # drasl
    drasl-env.file = ./drasl/env.age;

    # vikunja
    vikunja-env.file = ./vikunja/env.age;
  };

  users.groups.secrets-lldap-bind-user-pass = {};
}
